PDA

View Full Version : Safari 7 dev for ML?




thomaskc
Jul 27, 2013, 11:27 PM
As topic suggests,

Does anyone know if its possible / available to get the safari 7.x build from the OSX 1.9 mavericks DP's installed on ML ?

ML is still getting safari 6.1 dev builds along side the 10.8.5 dev builds but it would be cool if safari 7.x somehow was available.

I haven't been able to find any information or attempts myself, which is why I ask if any of you guys have tried?

Cheers.



madmacfan
Jul 28, 2013, 08:59 AM
As topic suggests,

Does anyone know if its possible / available to get the safari 7.x build from the OSX 1.9 mavericks DP's installed on ML ?

ML is still getting safari 6.1 dev builds along side the 10.8.5 dev builds but it would be cool if safari 7.x somehow was available.

I haven't been able to find any information or attempts myself, which is why I ask if any of you guys have tried?

Cheers.

If you have access to safari 7, then theoretically yes it could be modded to run on ML, by changing the system version key inside the info.plist file to 10.8.4 as shown below. (right click on safari, show package contents, click on info.plist and edit the system version line to match what is below. use text wrangler to open the info.plist file.)

<key>LSMinimumSystemVersion</key>
<string>10.8.4</string>

If you are running ML on a supported mac, then theres a good chance it will be compatible with mavericks when it's released to the public this fall. and as safari 7 is optimised for use on mavericks, theres no knowing how it would perform in it's modded form under ML. My advice would be to wait until Mavericks comes out. If you cannot wait until then, you can try out what I said above, but do so at your own risk and be sure to back all your data up in case something goes wrong.

thomaskc
Jul 28, 2013, 10:12 AM
If you have access to safari 7, then theoretically yes it could be modded to run on ML, by changing the system version key inside the info.plist file to 10.8.4 as shown below. (right click on safari, show package contents, click on info.plist and edit the system version line to match what is below. use text wrangler to open the info.plist file.)

<key>LSMinimumSystemVersion</key>
<string>10.8.4</string>

If you are running ML on a supported mac, then theres a good chance it will be compatible with mavericks when it's released to the public this fall. and as safari 7 is optimised for use on mavericks, theres no knowing how it would perform in it's modded form under ML. My advice would be to wait until Mavericks comes out. If you cannot wait until then, you can try out what I said above, but do so at your own risk and be sure to back all your data up in case something goes wrong.

Hmm interesting. I have access to mavericks DPs now already, but there is too many programs that fails for it to be worth it from a production stand point currently, how ever safari 7 could be fun to try and grab as pretty much everything about mavericks (other than the lack of updated apps) is better than ML.

But thanks for the reply, might have to and test that...